%define srcname zope.interface
%define pypi_name  %(tr . - <<< %{srcname})

%bcond_with check

Summary:        Zope 3 Interface Infrastructure
Name:           python-%{pypi_name}
Version:        7.2
Release:        %mkrel 2
License:        ZPLv2.1
Group:          Development/Python
URL:            https://pypi.org/project/zope.interface
Source0:        %{pypi_source}
BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3-devel

%description
Interfaces are a mechanism for labeling objects as conforming to a given API
or contract.

This is a separate distribution of the zope.interface package used in Zope 3.

%package -n python3-%{pypi_name}
Summary:        Zope 3 Interface Infrastructure
Group:          Development/Python
%{?python_provide:%python_provide python3-%{pypi_name}}
%{?python_provide:%python_provide python3-%{srcname}}
%{?python_provide:%python_provide python3-zope_interface}
Provides:	python3-zope_interface = %{version}-%{release}
Obsoletes:	python3-zope_interface < 5.3.0

%description -n python3-%{pypi_name}
Interfaces are a mechanism for labeling objects as conforming to a given API
or contract.

This is a separate distribution of the zope.interface package used in Zope 3.

%prep
%setup -q -n zope.interface-%{version}

# Remove version limit from setuptools
sed -i '/setuptools/s/<.*"/"/' pyproject.toml

%generate_buildrequires
%pyproject_buildrequires %{?with_check:-x test}

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files zope

# not needed
rm -rf %{buildroot}%{python3_sitearch}/*-nspkg.pth

%if %{with check}
%check
# We have to run tests installed together with the package
# https://github.com/zopefoundation/zope.interface/issues/196
pushd %{buildroot}%{python3_sitearch}
PURE_PYTHON=1 python3 -m unittest discover -s zope/interface -t .
popd
%endif

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE.txt COPYRIGHT.txt
%doc README.rst CHANGES.rst
%exclude %{python3_sitearch}/zope/interface/tests/
%exclude %{python3_sitearch}/zope/interface/common/tests/
%exclude %{python3_sitearch}/zope/interface/_zope_interface_coptimizations.c


%changelog
* Wed Jul 02 2025 umeabot <umeabot> 7.2-2.mga10
+ Revision: 2237866
- Mageia 10 Mass Rebuild

* Sat Mar 01 2025 daviddavid <daviddavid> 7.2-1.mga10
+ Revision: 2154050
- new version: 7.2
- rebuild for python 3.13
+ wally <wally>
- fix tests

* Wed Dec 20 2023 wally <wally> 6.1-1.mga10
+ Revision: 2020444
- new version 6.1
- use pyproject rpm macros
- disable tests for now due to circular deps
+ tv <tv>
- 6.0
- Rebuild for python 3.12

* Fri Mar 18 2022 umeabot <umeabot> 5.4.0-2.mga9
+ Revision: 1798928
- Mageia 9 Mass Rebuild

* Sun Feb 06 2022 wally <wally> 5.4.0-1.mga9
+ Revision: 1772138
- new version 5.4.0
- rebuild for python3.10
- properly drop bundled egg-info

* Sat Apr 10 2021 wally <wally> 5.3.0-2.mga9
+ Revision: 1714516
- rename pkg back to python-zope-interface
- new version 5.3.0

* Sun Mar 14 2021 wally <wally> 5.2.0-3.mga9
+ Revision: 1702539
- rebuild for python3.9
- obsolete and provide python3-zope-interface
+ daviddavid <daviddavid>
- rename from python-zope-interface to python-zope_interface
+ guillomovitch <guillomovitch>
- new version 5.2.0

* Wed Oct 07 2020 kekepower <kekepower> 5.1.2-1.mga8
+ Revision: 1632632
- Update to version 5.1.2

* Fri Apr 10 2020 daviddavid <daviddavid> 5.1.0-1.mga8
+ Revision: 1566056
- new version: 5.1.0

* Fri Apr 10 2020 daviddavid <daviddavid> 5.0.2-1.mga8
+ Revision: 1566032
- new version: 5.0.2

* Tue Feb 18 2020 umeabot <umeabot> 4.7.1-2.mga8
+ Revision: 1538418
- Mageia 8 Mass Rebuild

* Wed Nov 20 2019 daviddavid <daviddavid> 4.7.1-1.mga8
+ Revision: 1461837
- new version: 4.7.1

* Wed Sep 04 2019 wally <wally> 4.6.0-4.mga8
+ Revision: 1437273
- really rebuild for python3.8
- rebuild for python3.8
- drop python2 support

* Sat Jan 05 2019 wally <wally> 4.6.0-2.mga7
+ Revision: 1349506
- rebuild for python3.7

* Thu Nov 08 2018 kekepower <kekepower> 4.6.0-1.mga7
+ Revision: 1329014
- Update to version 4.6.0
- Rename python-zope-interface to python2-zope-interface
- Use python_provide

* Sun Sep 23 2018 umeabot <umeabot> 4.1.3-4.mga7
+ Revision: 1300627
- Mageia 7 Mass Rebuild

* Sat Aug 05 2017 pterjan <pterjan> 4.1.3-3.mga7
+ Revision: 1135705
- Rebuild for python 3.6

* Fri Feb 12 2016 umeabot <umeabot> 4.1.3-2.mga6
+ Revision: 958698
- Mageia 6 Mass Rebuild

* Fri Oct 09 2015 daviddavid <daviddavid> 4.1.3-1.mga6
+ Revision: 888117
- new version: 4.1.3

* Fri Oct 09 2015 daviddavid <daviddavid> 4.1.1-5.mga6
+ Revision: 888113
- rebuild for python 3.5
- use new python macros

* Wed Oct 15 2014 umeabot <umeabot> 4.1.1-4.mga5
+ Revision: 742422
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 4.1.1-3.mga5
+ Revision: 730063
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 4.1.1-2.mga5
+ Revision: 688446
- Mageia 5 Mass Rebuild

* Sat Aug 30 2014 philippem <philippem> 4.1.1-1.mga5
+ Revision: 669660
- update to 4.1.1

* Sat May 31 2014 pterjan <pterjan> 4.1.0-2.mga5
+ Revision: 629120
- Rebuild for new Python

* Mon May 19 2014 philippem <philippem> 4.1.0-1.mga5
+ Revision: 623957
- update to 4.1.0

* Tue Oct 22 2013 umeabot <umeabot> 4.0.5-3.mga4
+ Revision: 544521
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 4.0.5-2.mga4
+ Revision: 499794
- Rebuild to add different pythonegg provides for python 2 and 3

* Fri Jul 05 2013 philippem <philippem> 4.0.5-1.mga4
+ Revision: 450345
- Update to 4.0.5

* Sun Jan 13 2013 umeabot <umeabot> 4.0.2-2.mga3
+ Revision: 379736
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Dec 23 2012 philippem <philippem> 4.0.2-1.mga3
+ Revision: 334171
- Update to 4.0.2
- Add Python3 package

* Sat Sep 08 2012 philippem <philippem> 4.0.1-1.mga3
+ Revision: 290146
- New upstream release 4.0.1

* Mon Jan 09 2012 philippem <philippem> 3.7.0-1.mga2
+ Revision: 194094
- Update to 3.7.0.
- Clean licence
- Add check

* Wed Jan 19 2011 erwan <erwan> 3.6.1-1.mga1
+ Revision: 24929
- imported package python-zope-interface


* Mon Nov 29 2010 Guillaume Rousse <guillomovitch@mandriva.org> 3.6.1-1mdv2011.0
+ Revision: 603077
- update to new version 3.6.1

* Sun Oct 31 2010 Funda Wang <fwang@mandriva.org> 3.5.3-2mdv2011.0
+ Revision: 590793
- rebuild

* Wed Feb 24 2010 Lev Givon <lev@mandriva.org> 3.5.3-1mdv2010.1
+ Revision: 510736
- Update to 3.5.3.

* Thu Sep 17 2009 Michael Scherer <misc@mandriva.org> 3.5.2-1mdv2010.0
+ Revision: 443922
- update to 3.5.2
- new url to download tarball

* Mon Aug 31 2009 Paulo Andrade <pcpa@mandriva.com.br> 3.5.0-3mdv2010.0
+ Revision: 423101
- install python scripts in py_platsitedir

* Sun Jan 04 2009 Jérôme Soyer <saispo@mandriva.org> 3.5.0-2mdv2009.1
+ Revision: 324058
- New upstream release

* Thu Dec 25 2008 Adam Williamson <awilliamson@mandriva.org> 3.4.1-2mdv2009.1
+ Revision: 318614
- rebuild for python 2.6

* Sun Aug 17 2008 Lev Givon <lev@mandriva.org> 3.4.1-1mdv2009.0
+ Revision: 273067
- Update to 3.4.1.

* Mon Jun 16 2008 Thierry Vignaud <tv@mandriva.org> 3.3.0-4mdv2009.0
+ Revision: 219584
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Mon Aug 20 2007 Thierry Vignaud <tv@mandriva.org> 3.3.0-3mdv2008.0
+ Revision: 67517
- rebuild
- rebuild

* Wed Apr 25 2007 Lev Givon <lev@mandriva.org> 3.3.0-1mdv2008.0
+ Revision: 18066
- Update to 3.3.0.


* Tue Nov 28 2006 Götz Waschk <waschk@mandriva.org> 3.0.1-2mdv2007.0
+ Revision: 88145
- Import python-zope-interface

* Tue Nov 28 2006 Götz Waschk <waschk@mandriva.org> 3.0.1-2mdv2007.1
- update file list

* Mon May 09 2005 Michael Scherer <misc@mandriva.org> 3.0.1-1mdk
- Initial package

